#if !defined(AFX_DLGENDSET_H__3EBBA418_BDA8_46CC_B1A0_9DD13C9E988F__INCLUDED_)
#define AFX_DLGENDSET_H__3EBBA418_BDA8_46CC_B1A0_9DD13C9E988F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgEndSet.h : header file
//
#include "DlgSmartOther.h"
/////////////////////////////////////////////////////////////////////////////
// CDlgEndSet dialog

class CDlgSmartOther;
typedef VSNETVAREGIONERULE    RegionAlarm;
typedef VSNETVASINGLELINERULE SGLineAlarm;
typedef VSNETSMALARMLINK      ALARMLINK;
typedef VSNETSMOSD            OSDINFO;
typedef struct
{
   unsigned char		m_enable;                   //规则启动
   unsigned char        m_osdenable;                //OSD启用标志
   int                  m_ruletype;                  //规则类型
   char                 m_rulename[60];                 //规则名称
   ALARMLINK            m_alarmlink;                //报警联动
   OSDINFO              m_osd[2];                   //OSD信息
   SGLineAlarm          m_linealarm;                //单线报警数据
   RegionAlarm          m_region;                   //区域信息
   int					m_hovertime;		        //徘徊标准时间
}WHOLEDATA;
class CDlgEndSet : public CDialog
{
// Construction
public:
	CDlgEndSet(CWnd* pParent = NULL);   // standard constructor
    void DelAllWizard(BOOL bSavedparam = FALSE);
    void InitialDlgData();
	BOOL SaveRuleData();
	void DelOriginalRule(int originalrule, int index = -1);
// Dialog Data
	//{{AFX_DATA(CDlgEndSet)
	enum { IDD = IDD_DLG_SMWIZARD5 };
	BOOL	m_bStartRule;
	CString	m_sruleType;
	CString	m_sruleName;
	//}}AFX_DATA
public:
    CDlgSmartOther* m_fourth;
    WHOLEDATA       m_allparam;  
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgEndSet)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgEndSet)
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnEnd();
	afx_msg void OnBtnPro();
	afx_msg void OnBtnCancel();
	afx_msg void OnClose();
	virtual void OnOK();
	afx_msg void OnMove(int x, int y);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGENDSET_H__3EBBA418_BDA8_46CC_B1A0_9DD13C9E988F__INCLUDED_)
